package com.aitrainer.api.controller

import com.aitrainer.api.model.Product
import com.aitrainer.api.repository.ProductRepository
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api")
class ProductController(private val productRepository: ProductRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @GetMapping("/product")
    fun getAllProducts(): ResponseEntity<List<Product>> {

        val products  = productRepository.findAll()
        logger.info("Get all products")

        return if(products.isNotEmpty())
            ResponseEntity.ok().body(products) else
            ResponseEntity.notFound().build()
    }
}