package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import org.springframework.lang.NonNull
import jakarta.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class EvaluationAttribute (
        @Expose @Id @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var evaluationAttrId: Int,
        //@Expose @get: NonNull var evaluationId: Long = 0,
        @Expose @get: NotBlank var name: String = "",
        @Expose var sex: String = "m",
        @Expose @get: NonNull var ageMin: Int = 0,
        @Expose @get: NonNull var ageMax: Int = 0,
        @Expose @get: NonNull var valueMin: Double = 0.0,
        @Expose @get: NonNull var valueMax: Double = 0.0,

        @Expose @get: NonNull var evaluation_text: String = "",
        @Expose var suggestion: String?,
) {
        @ManyToOne(fetch = FetchType.EAGER, optional = false)
        @JoinColumn(name="evaluationId", nullable=false)
        @JsonIgnore
        val evaluation: Evaluation? = null
}
