package com.aitrainer.api.repository.diet

import com.aitrainer.api.model.diet.Recipe
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query

interface RecipeRepository : JpaRepository<Recipe, Int> {
    @Query(" FROM Recipe WHERE name like %:name%")
    fun findByName(name: String): List<Recipe>?

    fun findByDietUserId(dietUserId: Long): List<Recipe>?

    @Query(" FROM Recipe WHERE recipeId = :recipeId")
    fun findByRecipeId(recipeId: Long): Recipe?

}
