package com.aitrainer.api.test

import com.aitrainer.api.controller.ExerciseTreeParentsController
import com.aitrainer.api.model.ExerciseTreeParents
import com.aitrainer.api.repository.ExerciseTreeParentsRepository
import org.junit.jupiter.api.Test
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import org.springframework.http.ResponseEntity
import kotlin.test.assertEquals
import kotlin.test.assertTrue

@SpringBootTest
class ExerciseTreeParentsTest {

    @Autowired
    private lateinit var exerciseTreeParentsRepository: ExerciseTreeParentsRepository
    
    @Test
    fun testTreeParents() {
        val exerciseTreeParentsController = ExerciseTreeParentsController(exerciseTreeParentsRepository)
        val responseEntity: ResponseEntity<List<ExerciseTreeParents>> = exerciseTreeParentsController.getAllByChildId(20)

        assertTrue(responseEntity.body!!.isNotEmpty())
        val exerciseTreeParentList = responseEntity.body!!
        assertEquals(exerciseTreeParentList.size, 1)
        assertEquals(exerciseTreeParentList[0].exerciseTreeParentId, 4)
    }

    @Test
    fun testAllTreeParents() {
        val exerciseTreeParentsController = ExerciseTreeParentsController(exerciseTreeParentsRepository)
        val responseEntity: ResponseEntity<List<ExerciseTreeParents>> = exerciseTreeParentsController.getAll()

        assertTrue(responseEntity.body!!.isNotEmpty())
        val exerciseTreeParentList = responseEntity.body!!
        assertEquals(exerciseTreeParentList.size, 30)
        assertEquals(exerciseTreeParentList[4].exerciseTreeParentId, 4)
        assertEquals(exerciseTreeParentList[4].exerciseTreeChildId, 14)
        assertEquals(exerciseTreeParentList[0].sort, 99)

    }
}